## org.opencyc.util
Class ListBox

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.JPanel
                              |
                              +--org.opencyc.util.ListBox

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

public class ListBox
extends javax.swing.JPanel

See Also:
  Serialized Form

Inner classes inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Inner classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Inner classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent`

Field Summary
`protected javax.swing.Action` `addAction`
`protected javax.swing.JButton` `addButton`
`protected javax.swing.JTextField` `field`
`protected java.lang.Object` `lastSelected`
`protected javax.swing.JList` `list`
`protected javax.swing.Action` `removeAction`
`protected javax.swing.JButton` `removeButton`
`protected javax.swing.Action` `updateAction`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ListBox(javax.swing.Action addAction, javax.swing.Action removeAction, javax.swing.Action updateAction, java.lang.String title, int rowCount)` Constructs a ListBox initialized with the given actions, title and row count.
`ListBox(java.lang.String title, int rowCount)` Constructs a new ListBox object given a title and row count.

Method Summary
`javax.swing.JTextField` `getField()` Gets the text field.
`javax.swing.JList` `getList()` Gets the list that the ListBox is modelling.
`java.lang.Object` `getSelectedValue()` Gets the selected value.
`void` `setActions(javax.swing.Action add, javax.swing.Action remove, javax.swing.Action update)`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUIClassID, paramString, updateUI`

Methods inherited from class javax.swing.JComponent

`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getVerifyInputWhenFocusTarget, getVisibleRect, getWidth, getX, getY, grabFocus, hasFocus, hide, isDoubleBuffered, isFocusCycleRoot, isFocusTraversable, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processFocusEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getLayout, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setLayout, validate, validateTree`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, imageUpdate, inside, isDisplayable, isEnabled, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### addAction

    protected javax.swing.Action addAction

### removeAction

    protected javax.swing.Action removeAction

### updateAction

    protected javax.swing.Action updateAction

### list

    protected javax.swing.JList list

### field

    protected javax.swing.JTextField field

### addButton

    protected javax.swing.JButton addButton

### removeButton

    protected javax.swing.JButton removeButton

### lastSelected

    protected java.lang.Object lastSelected

Constructor Detail

### ListBox

    public ListBox(java.lang.String title,
                   int rowCount)

  Constructs a new ListBox object given a title and row count.
  Parameters:
    `title` - the list box title
    `rowCount` - the number of list items in the list box.

### ListBox

    public ListBox(javax.swing.Action addAction,
                   javax.swing.Action removeAction,
                   javax.swing.Action updateAction,
                   java.lang.String title,
                   int rowCount)

  Constructs a ListBox initialized with the given actions, title and row count.
  Parameters:
    `addAction` - the action to be taken when an item is added to the list box
    `removeAction` - the action to be taken when an item is removed from the list box
    `updateAction` - the action to be taken when an item is modified in the list box
    `title` - the list box title
    `rowCount` - the number of list items in the list box.

Method Detail

### setActions

    public void setActions(javax.swing.Action add,
                           javax.swing.Action remove,
                           javax.swing.Action update)

### getSelectedValue

    public java.lang.Object getSelectedValue()

  Gets the selected value.

### getList

    public javax.swing.JList getList()

  Gets the list that the ListBox is modelling.

### getField

    public javax.swing.JTextField getField()

  Gets the text field.